<template>
  <div class="container">
    <div class="row nav">
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'InicioEquipos' }">
          Regresar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <router-link class="boton" :to="{ name: 'ActualizarEquipos', params: { id: id } }">
          Actualizar
        </router-link>
      </div>
      <div class="col-12 col-md-4">
        <button class="boton" @click="deleteData">Eliminar</button>
      </div>
    </div>
    <div
        class="row detalles justify-content-center align-content-center align-content-center"
        v-if="equipo.id"
    >
      <div class="col-12 col-md-6">
        <h1>{{ equipo.nombre }}</h1>
        <h3>ID: {{ equipo.id }}</h3>
        <h3>Apodo: {{ equipo.apodo }}</h3>
        <h3>Fecha de fundacion: {{ equipo.fechaFundacion }}</h3>
        <h3>Estadio: {{ equipo.stadiums.nombre }}</h3>
      </div>
    </div>
    <div v-else>
      <h1>El equipo no existe en la base de datos</h1>
    </div>
  </div>
</template>

<script>
import axios from "axios";
export default {
  name: "MostrarEquipos",
  data() {
    return {
      equipo: {},
      id: this.$route.params.id,
    }
  },
  mounted() {
    this.getData();
  },
  methods: {
    getData: function () {
      axios.get("http://laboratorio10.test/api/teams/" + this.id)
          .then(response => response.data)
          .then(data => {
            console.log(data);
            this.equipo = data;
          })
    },
    deleteData: function () {
      axios.delete("http://laboratorio10.test/api/teams/" + this.id)
          .then(response => {
            if(response.status === 200) {
              this.$router.push({ name: "InicioEquipos" });
            }
          })
    }
  }
}
</script>

<style scoped lang="scss">

</style>